Bug 167998 - Gnome shows wrong path for symlinked folder
Gnome shows wrong path for symlinked folder
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-09-10 05:39 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-04 11:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-09-10 05:39:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.5

Description of problem:
This is potentially serious since the user may delete files because Gnome tells him that the files are in a different place to where they really are.

I have a mounted usb drive. The drive contains backups.

$ ls -la /media/usbdisk/Folder/Desktop
drwxr-xr-x   2 user user 4096 Sep 10 12:16 .
drwxrwx---  55 user user 4096 Sep 10 12:23 ..
-rw-r--r--   1 user user   69 Sep 10 12:36 .directory
lrwxrwxrwx   1 user user   18 Sep 10 12:45 Downloads -> /home/user/Downloads

In nautilus, I go to /media/usbdisk/Folder/Desktop
Nautilus then shows me that I am at /media/usbdisk/Folder/Desktop/Downloads, when I am really at /home/user/Downloads (and nautilus shows me  the contents of /home/user/Downloads)

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Additional info:
Comment 1 Alexander Larsson 2006-09-04 11:19:21 EDT
This is an old discussion in the nautilus developer community, both sides have
their issues, but the current behaviour is what was decided on.
Comment 2 Need Real Name 2006-09-04 12:28:17 EDT
A bit like how going to "Computer", then selecting a drive, then going up a
level takes to you /media/. The users don't have a clue!

Please can you provide a link to the discussion?
Comment 3 Alexander Larsson 2006-09-05 10:38:34 EDT
For instance:
Comment 4 Need Real Name 2006-09-05 12:48:12 EDT

Note You need to log in before you can comment on or make changes to this bug.